## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '_')

Name:           sfwbar
Version:        1.0~beta16
Release:        %autorelease
Summary:        S* Floating Window Bar

# Icons are from yr.no and are licensed under MIT license
License:        GPL-3.0-only AND MIT
URL:            https://github.com/LBCrion/sfwbar
Source0:        %{url}/archive/v%{tarball_version}/%{name}-%{tarball_version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  meson
BuildRequires:  python3-docutils
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk-layer-shell-0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libmpdclient)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.17
BuildRequires:  pkgconfig(xkbregistry)

Requires:       hicolor-icon-theme

%description
SFWBar (S* Floating Window Bar) is a flexible taskbar application for wayland
compositors, designed with a stacking layout in mind. Originally developed for
Sway, SFWBar will work with any wayland compositor supporting layer shell
protocol, the taskbar and window switcher functionality shall work with any
compositor supporting foreign toplevel protocol, but the pager, and window
placement functionality require sway (or at least i3 IPC support).

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md doc/ChangeLog
%license LICENSE
# Icons license file:
# %%{_datadir}/%%{name}/icons/weather/LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_libdir}/%{name}/
%{_mandir}/man1/*.1*

%changelog
## START: Generated by rpmautospec
* Fri Nov 08 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0~beta16-1
- chore: Update to 1.0_beta16

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0~beta15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 23 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0~beta15-1
- build: Update to 1.0~beta15

* Tue May 14 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0~beta14-4
- docs: Include upstream changelog

* Tue May 14 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0~beta14-3
- license: Add note about icons files

* Mon May 13 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0~beta14-1
- Initial

## END: Generated by rpmautospec
